#!/bin/sh

name="mutt"
title="Mutt"
package="mutt"
version="1.4i"
build="1"
noarch="n"
build_info=""

info="A small but very powerful text-based mail client."
info_pl="May, ale bardzo potny tekstowy klient poczty."
desc="Mutt is a small but very powerful text-based MIME mail client. It is
highly configurable, and is well-suited to the mail power user with
advanced features like key bindings, keyboard macros, mail threading,
regular expression searches, and a powerful pattern matching language
for selecting groups of messages."
desc_pl="Mutt jest maym, ale bardzo potnym tekstowym klientem poczty
MIME. Jest wysoce konfigurowalny i nadaje si dla zaawansowanych
uytkownikw ze swoimi moliwociami, jak przypisywanie klawiszy,
makra klawiatury, wtkowanie, wyszukiwanie z wyraeniami
regularnymi i potnym jzykiem wzorw dopasowa do zaznaczania
grup wiadomoci."
category="net/client/email"
environment="console/curses"
contact="$name@packages.packware.gnu.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes="pine"
conflicts=""

docs_source="ABOUT-NLS,BEWARE,ChangeLog,COPYRIGHT,GPL,INSTALL,NEWS,README*,TODO,VERSION"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://ftp.mutt.org/pub/mutt/$name-$version.tar.gz $name-`echo $version | cut -d i -f 1`

verbose "Do you want mutt to support POP3 servers for retrieving mail?"
yes_or_no with_pop3 y

if [ "$with_pop3" = "y" ]; then

    configure_option --enable-pop
    build_info "With POP3. "

else

    package_suffix nopop3
    build_info "Without POP3. "

fi

verbose "Do you want mutt to support IMAP servers for storing and retrieving mail?"
yes_or_no with_imap y

if [ "$with_imap" = "y" ]; then

    configure_option --enable-imap
    build_info "With IMAP. "

else

    package_suffix noimap
    build_info "Without IMAP. "

fi

if [ "$with_pop3" = "y" -o "$with_imap" = "y" ]; then

    verbose "Do you want mutt to support SSL connections to IMAP and/or POP3 servers?"
    yes_or_no with_ssl y

    if [ "$with_ssl" = "y" ]; then

	configure_option --with-ssl
	build_info "With SSL."

    else

	package_suffix nossl
	build_info "Without SSL."

    fi

fi

configure_option --prefix=/usr
configure_option --sysconfdir=/etc/mutt
configure_option --with-mailpath=/var/spool/mail
configure_option --with-charmaps=/usr/share/i18n/charmaps
configure_option --enable-locales-fix
configure_option --with-docdir=/usr/doc/$name-$version

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

mkdir -p $pkg_main/usr/man/pl/man1
cp $src_pkg/mutt.1.pl $pkg_main/usr/man/pl/man1/mutt.1
chmod 644 $pkg_main/usr/man/pl/man1/mutt.1

make_docs

subpackage manual
subpackage manual-html
subpackage changelog

make_package main
make_package manual
make_package manual-html
make_package changelog

clean_up
